{% extends "base.html" %}
{% block title %}Список курсов{% endblock %}
{% block css %}
    <style>
    .course-form {margin: 10px 0;}
    .course-form input {width:370px; height:25px; border-radius:3px;}
    </style>
{% endblock %}
{% block content %}
    <form action="create/" method="post">
        {% csrf_token %}
        <div>
            {% for field in form %}
            <div class="course-form">
                {{field.label_tag}}
                <div>{{field}}</div>
            </div>
            {% endfor %}
        </div>
        <input type="submit" value="Сохранить">
    </form>
    <h2>Список курсов</h2>
    <ul>
        {% for course in object_list %}
        <a href="{% url 'course-update' course.id %}"><li>{{ course.name }}</li></a>
        {% endfor %}
    </ul>
{% endblock %}